List component types
GET
/component-types
const url = 'https://app.buildtrace.eu/api/component-types';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildtrace.eu/api/component-types \ --header 'Authorization: Bearer <token>'Required scope: field:read.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
id
required
string format: uuid
code
required
string
name
required
string
isActive
required
boolean
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "code": "example", "name": "example", "isActive": true }]Unauthorized
Forbidden